## rust-axum 0.8.4

=== debian/changelog ===
rust-axum (0.8.4-2) experimental; urgency=medium

  * fix version of virtually provided packages

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Aug 2025 15:17:31 +0200

rust-axum (0.8.4-1) experimental; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1092836

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * build-depend on package for crate futures-core (not async-trait);
    uidate (build-)dependencies
    for crates form-urlencoded futures-util matchit reqwest rustversion;
    provide axum-extra features error-response file-stream scheme
  * update copyright info: update coverage
  * relax (build-)dependencies for crate prost;
    closes: bug#1102597
  * add patch 1003 to accept newer releases of crate matchit

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Jun 2025 12:28:22 +0200
