=== debian/control ===
Source: rust-axum
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-anyhow-1+default-dev,
 librust-base64-0.22+default-dev,
 librust-bytes-1+default-dev,
 librust-cookie-0.18+default-dev,
 librust-cookie-0.18+key-expansion-dev,
 librust-cookie-0.18+percent-encode-dev,
 librust-cookie-0.18+private-dev,
 librust-cookie-0.18+signed-dev,
 librust-form-urlencoded-1+default-dev,
 librust-futures-core-0.3+default-dev,
 librust-futures-util-0.3+alloc-dev,
 librust-headers-0.4+default-dev,
 librust-heck-0.4+default-dev,
 librust-http-1+default-dev,
 librust-http-body-1+default-dev,
 librust-http-body-util-0.1+default-dev,
 librust-hyper-1+default-dev,
 librust-hyper-1+http1-dev,
 librust-hyper-1+http2-dev,
 librust-hyper-1+server-dev,
 librust-hyper-util-0.1+default-dev,
 librust-hyper-util-0.1+http1-dev,
 librust-hyper-util-0.1+http2-dev,
 librust-hyper-util-0.1+server-dev,
 librust-hyper-util-0.1+service-dev,
 librust-hyper-util-0.1+tokio-dev,
 librust-itoa-1+default-dev,
 librust-matchit-0.8+default-dev,
 librust-memchr-2+default-dev,
 librust-mime-0.3+default-dev,
 librust-multer-3+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-lite-0.2+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-prost-dev (<< 0.14),
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-quote-1+default-dev,
 librust-reqwest-0.12+json-dev,
 librust-reqwest-0.12+multipart-dev,
 librust-reqwest-0.12+stream-dev,
 librust-rustversion-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-urlencoded-0.7+default-dev,
 librust-serde-json-1+default-dev,
 librust-serde-json-1+raw-value-dev,
 librust-serde-html-form-0.2+default-dev,
 librust-serde-path-to-error-0.1+default-dev,
 librust-sha1-0.10+default-dev,
 librust-syn-2+default-dev,
 librust-syn-2+extra-traits-dev,
 librust-syn-2+full-dev,
 librust-syn-2+parsing-dev,
 librust-sync-wrapper-1+default-dev,
 librust-time-0.3+default-dev,
 librust-time-0.3+serde-human-readable-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tokio-1+test-util-dev,
 librust-tokio-1+time-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+io-util-dev,
 librust-tokio-tungstenite-dev (<< 0.25),
 librust-tokio-util-0.7+default-dev,
 librust-tokio-util-0.7+io-dev,
 librust-tower-0.5+default-dev,
 librust-tower-0.5+filter-dev,
 librust-tower-0.5+limit-dev,
 librust-tower-0.5+load-shed-dev,
 librust-tower-0.5+log-dev,
 librust-tower-0.5+make-dev,
 librust-tower-0.5+steer-dev,
 librust-tower-0.5+timeout-dev,
 librust-tower-0.5+util-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+limit-dev,
 librust-tower-layer-0.3+default-dev (>= 0.3.2),
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
 librust-tracing-subscriber-0.3+json-dev,
 librust-trybuild-1+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+serde-dev,
 librust-uuid-1+v4-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-axum.git
Vcs-Browser: https://salsa.debian.org/debian/rust-axum
Homepage: https://github.com/tokio-rs/axum
Rules-Requires-Root: no

Package: librust-axum-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-axum-core-dev (= ${rust:Version:librust-axum-core-dev}),
 librust-axum-macros-dev (= ${rust:Version:librust-axum-macros-dev}),
 librust-base64-0.22+default-dev,
 librust-bytes-1+default-dev,
 librust-form-urlencoded-1+default-dev,
 librust-futures-util-0.3+alloc-dev,
 librust-http-1+default-dev (>= 0.2.9),
 librust-http-body-1+default-dev,
 librust-http-body-util-0.1+default-dev,
 librust-hyper-1+default-dev,
 librust-hyper-1+http1-dev,
 librust-hyper-1+http2-dev,
 librust-hyper-1+server-dev,
 librust-hyper-util-0.1+default-dev,
 librust-hyper-util-0.1+http1-dev,
 librust-hyper-util-0.1+http2-dev,
 librust-hyper-util-0.1+server-dev,
 librust-hyper-util-0.1+service-dev,
 librust-hyper-util-0.1+tokio-dev,
 librust-itoa-1+default-dev (>= 1.0.5),
 librust-matchit-0.8+default-dev,
 librust-memchr-2+default-dev,
 librust-mime-0.3+default-dev,
 librust-multer-3+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-lite-0.2+default-dev,
 librust-reqwest-0.12+json-dev,
 librust-reqwest-0.12+multipart-dev,
 librust-reqwest-0.12+stream-dev,
 librust-rustversion-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-urlencoded-0.7+default-dev,
 librust-serde-json-1+default-dev,
 librust-serde-json-1+raw-value-dev,
 librust-serde-path-to-error-0.1+default-dev,
 librust-sha1-0.10+default-dev,
 librust-sync-wrapper-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+time-dev,
 librust-tokio-tungstenite-dev (<< 0.25),
 librust-tower-0.5+log-dev,
 librust-tower-0.5+make-dev,
 librust-tower-0.5+util-dev,
 librust-tower-http-0.6+add-extension-dev,
 librust-tower-http-0.6+auth-dev,
 librust-tower-http-0.6+catch-panic-dev,
 librust-tower-http-0.6+compression-br-dev,
 librust-tower-http-0.6+compression-deflate-dev,
 librust-tower-http-0.6+compression-gzip-dev,
 librust-tower-http-0.6+cors-dev,
 librust-tower-http-0.6+decompression-br-dev,
 librust-tower-http-0.6+decompression-deflate-dev,
 librust-tower-http-0.6+decompression-gzip-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+follow-redirect-dev,
 librust-tower-http-0.6+fs-dev,
 librust-tower-http-0.6+limit-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+metrics-dev,
 librust-tower-http-0.6+normalize-path-dev,
 librust-tower-http-0.6+propagate-header-dev,
 librust-tower-http-0.6+redirect-dev,
 librust-tower-http-0.6+request-id-dev,
 librust-tower-http-0.6+sensitive-headers-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+set-status-dev,
 librust-tower-http-0.6+timeout-dev,
 librust-tower-http-0.6+trace-dev,
 librust-tower-http-0.6+util-dev,
 librust-tower-http-0.6+validate-request-dev,
 librust-tower-layer-0.3+default-dev (>= 0.3.2),
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1-dev,
 ${misc:Depends},
Provides:
 librust-axum-0.8+default-dev (= ${binary:Version}),
 librust-axum-0.8+form-dev (= ${binary:Version}),
 librust-axum-0.8+headers-dev (= ${binary:Version}),
 librust-axum-0.8+http1-dev (= ${binary:Version}),
 librust-axum-0.8+http2-dev (= ${binary:Version}),
 librust-axum-0.8+json-dev (= ${binary:Version}),
 librust-axum-0.8+macros-dev (= ${binary:Version}),
 librust-axum-0.8+matched-path-dev (= ${binary:Version}),
 librust-axum-0.8+multipart-dev (= ${binary:Version}),
 librust-axum-0.8+original-uri-dev (= ${binary:Version}),
 librust-axum-0.8+query-dev (= ${binary:Version}),
 librust-axum-0.8+tokio-dev (= ${binary:Version}),
 librust-axum-0.8+tower-log-dev (= ${binary:Version}),
 librust-axum-0.8+tracing-dev (= ${binary:Version}),
 librust-axum-0.8+ws-dev (= ${binary:Version}),
 librust-axum-0.8-dev (= ${binary:Version}),
 librust-axum-0.8.4-dev (= ${binary:Version}),
Breaks:
 librust-tonic-build-dev (<< 0.12),
 librust-tonic-dev (<< 0.12)
Description: ergonomic and modular web framework - Rust source code
 axum is a web application framework
 that focuses on ergonomics and modularity.
 .
  * Route requests to handlers with a macro free API.
  * Declaratively parse requests using extractors.
  * Simple and predictable error handling model.
  * Generate responses with minimal boilerplate.
  * Take full advantage of the tower and tower-http ecosystem
    of middleware, services, and utilities.
 .
 In particular the last point
 is what sets axum apart from other frameworks.
 axum doesn't have its own middleware system
 but instead uses tower::Service.
 This means axum gets timeouts, tracing, compression,
 authorization, and more, for free.
 It also enables you to share middleware
 with applications written using hyper or tonic.
 .
 This package contains the source for the Rust crate axum,
 for use with cargo.

Package: librust-axum-core-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-bytes-1+default-dev,
 librust-futures-core-0.3+default-dev,
 librust-http-1+default-dev,
 librust-http-body-1+default-dev,
 librust-http-body-util-0.1+default-dev,
 librust-mime-0.3+default-dev,
 librust-pin-project-lite-0.2+default-dev,
 librust-rustversion-1+default-dev,
 librust-sync-wrapper-1+default-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+limit-dev,
 librust-tower-layer-0.3+default-dev,
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1-dev,
 ${misc:Depends},
Provides:
 librust-axum-core-0.5+default-dev (= ${binary:Version}),
 librust-axum-core-0.5+tracing-dev (= ${binary:Version}),
 librust-axum-core-0.5-dev (= ${binary:Version}),
 librust-axum-core-0.5.2-dev (= ${binary:Version}),
Description: core types and traits for the web framework axum - Rust source code
 axum is a web application framework
 that focuses on ergonomics and modularity.
 .
  * Route requests to handlers with a macro free API.
  * Declaratively parse requests using extractors.
  * Simple and predictable error handling model.
  * Generate responses with minimal boilerplate.
  * Take full advantage of the tower and tower-http ecosystem
    of middleware, services, and utilities.
 .
 In particular the last point
 is what sets axum apart from other frameworks.
 axum doesn't have its own middleware system
 but instead uses tower::Service.
 This means axum gets timeouts, tracing, compression,
 authorization, and more, for free.
 It also enables you to share middleware
 with applications written using hyper or tonic.
 .
 This package contains the source for the Rust crate axum-core,
 for use with cargo.

Package: librust-axum-extra-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-axum-dev (= ${rust:Version:librust-axum-dev}),
 librust-axum-core-dev (= ${rust:Version:librust-axum-core-dev}),
 librust-axum-macros-dev (= ${rust:Version:librust-axum-macros-dev}),
 librust-bytes-1+default-dev,
 librust-cookie-0.18+default-dev,
 librust-cookie-0.18+key-expansion-dev,
 librust-cookie-0.18+percent-encode-dev,
 librust-cookie-0.18+private-dev,
 librust-cookie-0.18+signed-dev,
 librust-form-urlencoded-1+default-dev,
 librust-futures-util-0.3+alloc-dev,
 librust-headers-0.4+default-dev,
 librust-http-1+default-dev,
 librust-http-body-1+default-dev,
 librust-http-body-util-0.1+default-dev,
 librust-mime-0.3+default-dev,
 librust-multer-3+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-lite-0.2+default-dev,
 librust-prost-dev (<< 0.14),
 librust-rustversion-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-html-form-0.2+default-dev,
 librust-serde-json-1+default-dev,
 librust-serde-path-to-error-0.1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+io-util-dev,
 librust-tokio-util-0.7+default-dev,
 librust-tokio-util-0.7+io-dev,
 librust-tower-0.5+util-dev,
 librust-tower-layer-0.3+default-dev,
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1-dev,
 ${misc:Depends},
Provides:
 librust-axum-extra-0.10+async-read-body-dev (= ${binary:Version}),
 librust-axum-extra-0.10+attachment-dev (= ${binary:Version}),
 librust-axum-extra-0.10+cookie-dev (= ${binary:Version}),
 librust-axum-extra-0.10+cookie-key-expansion-dev (= ${binary:Version}),
 librust-axum-extra-0.10+cookie-signed-dev (= ${binary:Version}),
 librust-axum-extra-0.10+cookie-private-dev (= ${binary:Version}),
 librust-axum-extra-0.10+default-dev (= ${binary:Version}),
# librust-axum-extra-0.10+erased-json-dev (= ${binary:Version}),
 librust-axum-extra-0.10+error-response-dev (= ${binary:Version}),
