## rust-axum 0.8.8

=== debian/changelog ===
rust-axum (0.8.8-8) unstable; urgency=medium

  * fix patches 1001 1005

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Jan 2026 15:14:57 +0100

rust-axum (0.8.8-7) unstable; urgency=medium

  * fix patch 1001;
    add patch 1005 to fix use private macros in tests;
    revert autopkgtests to not include feature __private

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Jan 2026 23:47:37 +0100

rust-axum (0.8.8-6) unstable; urgency=medium

  * drop patch 2001_tracing-subscriber,
    obsoleted by Debian packaging changes
  * drop patch 2001_tokio-tungstenite;
    tighten (build-)dependencies for crate tokio-tungstenite
  * drop patch 2005;
    fix autopkgtests for axum to always include feature __private;
    skip autopkgtests for axum-core axum-extra axum-macros

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jan 2026 10:30:57 +0100

rust-axum (0.8.8-5) unstable; urgency=medium

  * drop patch 2006;
    tighten build-dependency on dh-sequence-rust
  * fix and extend patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Jan 2026 03:39:51 +0100

rust-axum (0.8.8-4) unstable; urgency=medium

  * fix patch 2001_tokio-tungstenite;
    tighten (build-)dependencies for crate tokio-tungstenite
  * extend patch 1002 to cover feature "json"
  * fix patch 2006, and revert related extension to patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Jan 2026 12:40:10 +0100

rust-axum (0.8.8-3) unstable; urgency=medium

  * fix extend patches 1001 2005

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Dec 2025 13:37:55 +0100

rust-axum (0.8.8-2) unstable; urgency=medium

  * stop set superfluous field Priority
  * declare compliance with Debian Policy 4.7.3
  * fix patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Dec 2025 22:09:31 +0100

rust-axum (0.8.8-1) experimental; urgency=medium

  * update watch file:
    + use file format 5
    + relax to match any version
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * (build-)depend on packages for crates serde_core tempfile;
    relax (build-)dependencies for crates prost tokio-tungstenite;
    stop (build-)depend on package for crate heck;
    provide axum-extra features
    cached handler middleware optional routing with-rejection
  * stop set obsolete Rules-Requires-Root

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Dec 2025 11:58:07 +0100
