=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: rust-axum
 Section: rust
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-sequence-rust,
+ dh-sequence-rust (= 1),
  librust-anyhow-1+default-dev,
  librust-base64-0.22+default-dev,
  librust-bytes-1+default-dev,
@@ -16,7 +15,6 @@
  librust-futures-core-0.3+default-dev,
  librust-futures-util-0.3+alloc-dev,
  librust-headers-0.4+default-dev,
- librust-heck-0.4+default-dev,
  librust-http-1+default-dev,
  librust-http-body-1+default-dev,
  librust-http-body-util-0.1+default-dev,
@@ -38,7 +36,7 @@
  librust-percent-encoding-2+default-dev,
  librust-pin-project-lite-0.2+default-dev,
  librust-proc-macro2-1+default-dev,
- librust-prost-dev (<< 0.14),
+ librust-prost-dev (<< 0.15),
  librust-quickcheck-1+default-dev,
  librust-quickcheck-macros-1+default-dev,
  librust-quote-1+default-dev,
@@ -48,6 +46,7 @@
  librust-rustversion-1+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
+ librust-serde-core-1+default-dev,
  librust-serde-urlencoded-0.7+default-dev,
  librust-serde-json-1+default-dev,
  librust-serde-json-1+raw-value-dev,
@@ -59,6 +58,7 @@
  librust-syn-2+full-dev,
  librust-syn-2+parsing-dev,
  librust-sync-wrapper-1+default-dev,
+ librust-tempfile-3+default-dev,
  librust-time-0.3+default-dev,
  librust-time-0.3+serde-human-readable-dev,
  librust-tokio-1+default-dev,
@@ -71,7 +71,7 @@
  librust-tokio-1+time-dev,
  librust-tokio-stream-0.1+default-dev,
  librust-tokio-stream-0.1+io-util-dev,
- librust-tokio-tungstenite-dev (<< 0.25),
+ librust-tokio-tungstenite-0.28+default-dev,
  librust-tokio-util-0.7+default-dev,
  librust-tokio-util-0.7+io-dev,
  librust-tower-0.5+default-dev,
@@ -95,11 +95,10 @@
  librust-uuid-1+serde-dev,
  librust-uuid-1+v4-dev,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/rust-axum.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-axum
 Homepage: https://github.com/tokio-rs/axum
-Rules-Requires-Root: no
 
 Package: librust-axum-dev
 Architecture: all
@@ -134,8 +133,8 @@
  librust-reqwest-0.12+json-dev,
  librust-reqwest-0.12+multipart-dev,
  librust-reqwest-0.12+stream-dev,
- librust-rustversion-1+default-dev,
  librust-serde-1+default-dev,
+ librust-serde-core-1+default-dev,
  librust-serde-urlencoded-0.7+default-dev,
  librust-serde-json-1+default-dev,
  librust-serde-json-1+raw-value-dev,
@@ -147,7 +146,7 @@
  librust-tokio-1+net-dev,
  librust-tokio-1+rt-dev,
  librust-tokio-1+time-dev,
- librust-tokio-tungstenite-dev (<< 0.25),
+ librust-tokio-tungstenite-0.28+default-dev,
  librust-tower-0.5+log-dev,
  librust-tower-0.5+make-dev,
  librust-tower-0.5+util-dev,
@@ -200,7 +199,7 @@
  librust-axum-0.8+tracing-dev (= ${binary:Version}),
  librust-axum-0.8+ws-dev (= ${binary:Version}),
  librust-axum-0.8-dev (= ${binary:Version}),
- librust-axum-0.8.4-dev (= ${binary:Version}),
+ librust-axum-0.8.8-dev (= ${binary:Version}),
 Breaks:
  librust-tonic-build-dev (<< 0.12),
  librust-tonic-dev (<< 0.12)
@@ -250,7 +249,7 @@
  librust-axum-core-0.5+default-dev (= ${binary:Version}),
  librust-axum-core-0.5+tracing-dev (= ${binary:Version}),
  librust-axum-core-0.5-dev (= ${binary:Version}),
- librust-axum-core-0.5.2-dev (= ${binary:Version}),
+ librust-axum-core-0.5.5-dev (= ${binary:Version}),
 Description: core types and traits for the web framework axum - Rust source code
  axum is a web application framework
  that focuses on ergonomics and modularity.
@@ -288,6 +287,7 @@
  librust-cookie-0.18+private-dev,
  librust-cookie-0.18+signed-dev,
  librust-form-urlencoded-1+default-dev,
+ librust-futures-core-0.3+alloc-dev,
  librust-futures-util-0.3+alloc-dev,
  librust-headers-0.4+default-dev,
  librust-http-1+default-dev,
@@ -297,12 +297,14 @@
  librust-multer-3+default-dev,
  librust-percent-encoding-2+default-dev,
  librust-pin-project-lite-0.2+default-dev,
- librust-prost-dev (<< 0.14),
+ librust-prost-dev (<< 0.15),
  librust-rustversion-1+default-dev,
  librust-serde-1+default-dev,
+ librust-serde-core-1+default-dev,
  librust-serde-html-form-0.2+default-dev,
  librust-serde-json-1+default-dev,
  librust-serde-path-to-error-0.1+default-dev,
+ librust-tempfile-3+default-dev,
  librust-tokio-1+default-dev,
  librust-tokio-stream-0.1+default-dev,
  librust-tokio-stream-0.1+io-util-dev,
@@ -314,12 +316,10 @@
  librust-tracing-0.1-dev,
  ${misc:Depends},
 Provides:
- librust-axum-extra-0.10+async-read-body-dev (= ${binary:Version}),
- librust-axum-extra-0.10+attachment-dev (= ${binary:Version}),
- librust-axum-extra-0.10+cookie-dev (= ${binary:Version}),
- librust-axum-extra-0.10+cookie-key-expansion-dev (= ${binary:Version}),
- librust-axum-extra-0.10+cookie-signed-dev (= ${binary:Version}),
- librust-axum-extra-0.10+cookie-private-dev (= ${binary:Version}),
- librust-axum-extra-0.10+default-dev (= ${binary:Version}),
-# librust-axum-extra-0.10+erased-json-dev (= ${binary:Version}),
- librust-axum-extra-0.10+error-response-dev (= ${binary:Version}),
+ librust-axum-extra-0.12+async-read-body-dev (= ${binary:Version}),
+ librust-axum-extra-0.12+attachment-dev (= ${binary:Version}),
+ librust-axum-extra-0.12+cached-dev (= ${binary:Version}),
+ librust-axum-extra-0.12+cookie-dev (= ${binary:Version}),
+ librust-axum-extra-0.12+cookie-key-expansion-dev (= ${binary:Version}),
+ librust-axum-extra-0.12+cookie-signed-dev (= ${binary:Version}),
+ librust-axum-extra-0.12+cookie-private-dev (= ${binary:Version}),
