=== debian/rules ===
--- 
+++ 
@@ -37,4 +37,4 @@
 	 -v'$($p_version)' \
 	 $(foreach q,$(filter-out $p,$(packages)),\
 	 -V'rust:Version:$q=$($q_version)');)
-	dh_gencontrol --remaining-packages
+#	dh_gencontrol --remaining-packages
