=== debian/watch ===
Version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: tokio-rs
Project: axum
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/axum-v@ANY_VERSION@
